
getwfm  -  Query a 222 Series scope for a waveform in one of six possible 
	   locations and output the resulting data to a specified file.  
	   The six locations include CH1, CH2, REF1, REF2, REF3, and REF4.  
	   CH1 and CH2 are the active display channels.  REF1-4 are saved 
	   waveform locations. 

	   COMMAND SYNTAX

		getwfm [-m] [CH1-2][REF1-4] outfile.wfm

	   The destination file (outfile) may be named arbitrarily, but it 
	   is common to use an extension such as .wfm to differentiate this 
	   file format from others.  If no extension is specified, getwfm
	   attaches ".wfm" by default.  The data saved is identical to the 
	   data the scope returns in response to a CURV? query, and is also 
	   identical to the format used by the Tek CAT200 virtual instrument 
	   software package.  See the 222 series RS232 interfacing guide for 
	   details on this format. 

	   If only one command argument is given, Getwfm will attempt to 
	   use it both as an output filename and a waveform location
	   identifier.  In this case, the filename specified must also
	   be a valid waveform location (REF1-4 or CH1-2).
	   

	   When using getwfm over a modem link, you may need to use the "-m" 
	   option.  This will supress the manipulation of the DTR line during 
	   command execution, simply ensuring that the line is high instead.  
	   The default behavior forces DTR low and back high again to signal
	   the scope to power up in case it is off.  This can result in 
	   termination of the telephone call when communicating over modems
	   operating in modes that depend on DTR.

	   Use the "-d" option if you want an error message when invalid
	   data characters are detected during transfers.  This can be a
	   useful indicator of unreliable transmissions due to noise or
	   intermittent connections.

	   EXIT

	   If communication hangs mid transfer, you can exit the utility
	   by pressing ESC.  This situation may occur if the instrument
	   powers itself off during a transfer.


	   SETTING PORT AND BAUD RATE 

	   Getwfm looks for the setup file to determine which serial
	   port and baud rate to use.  Either or both can be automatically 
	   determined by setting the respective parameters to "auto".  If 
	   no setup has been performed, both parameters default to "auto".  
	   Automatic searches test each possible setting until a valid 
	   instrument response is achieved.  In cases where it would be 
	   disruptive to address ports not connected to the instrument, 
	   or when communicating over modems at a predetermined baud rate,
	   run the Setup utility to set either or both of these parameters 
	   to fixed values.

	   TSR programs such as FAX utilities that continuously monitor a
	   serial port may interfere with the automatic port search.  If such
	   a program is in use, set the comm port to a fixed value, or disable
	   the TSR program.



	   PORT ADDRESSES 

	   Getwfm assumes the following serial port addresses: 

		COM1:  3F8H
		COM2:  2F8H
		COM3:  3E8H 
		COM4:  2E8H

	   If the scope issues an error message during a getwfm transaction,
	   the message will be displayed on the PC screen as a response to
	   the command, and any data output from the instrument will not be
	   saved in the specified file.
	    

	   EXAMPLES   

		getwfm CH1 output.wfm		Takes a waveform from CH1
						and saves it in a file named
						output.wfm in the current
						directory.

		getwfm ref1			Takes a waveform from REF1
						and saves it in a file named
						ref1.wfm in the current
						directory.

		getwfm REF3 c:\wfmlib\ref3.wfm	Outputs the data to a file in 
						the specified directory.




	   XY WAVEFORMS

	   To get an XY waveform from the active channels, specify CH2 as
	   the waveform source.  CH1 returns garbage.  XY waveform data 
	   obtained from the REF1-4 locations from some 222 models may
	   contain bad data after byte 512. The 222 utility software 
	   commands recognize this condition and pass only the valid
	   portion of the waveform.
	   

