
putwfm  -  Send a waveform to one of four reference memory locations in
	   a 222 series scope.  The waveform must be encoded in the format 
	   specified in the 222 Series RS232 interfacing guide.  A waveform 
	   obtained with "getwfm", or one saved by the CAT200 software package
	   are suitable.  The four valid destination locations are REF1, REF2, 
	   REF3, and REF4.  These are the four waveform storage locations in 
	   a 222 series scope.  Waveforms cannot be sent to the active CH1
	   of CH2 display.

	   This command returns a response to the screen that echos the 
	   instrument's response to the command if an error occurred.  If all 
	   went well, the command returns with no message. 


	   COMMAND SYNTAX

		putwfm [-md] [REF1-4] infile.wfm

	   The source file (infile) may be named arbitrarily, but it 
	   is common to use an extension such as .wfm to differentiate this 
	   file format from others.  Putwfm looks first for the filename as
	   specified.  If the file is not found and no extension was specified,
	   then the filename is searched with a ".wfm" extension.  Wild
	   card character matching using * and ? is supported.

	   If only one argument is given, Putwfm attempts to use it both
	   as a waveform destination and an input filename.  In this case,
	   the file name must also be a valid waveform destination (REF1-4).
	   

	   The data sent must be identical to the data the scope returns in 
	   response to a CURV? query, and is also identical to the format 
	   used by the Tek CAT200 virtual instrument software package.  See 
	   the 222 series RS232 interfacing guide for details on this format. 

	   When using putwfm over a modem link, use the "-m" option.  This
	   will supress the manipulation of the DTR line during command 
	   execution, simply ensuring that the line is high instead.  The 
	   default behavior forces DTR low and back high again to signal
	   the scope to power up in case it is off.  This can result in 
	   termination of the telephone call when communicating over modems.

	   Use the "-d" option if you want an error message when invalid
	   data characters are detected during transfers.  This can be a
	   useful indicator of unreliable transmissions due to noise or
	   intermittent connections.


	   EXIT

	   If communication hangs mid transfer, you can exit the utility
	   by pressing ESC.  This situation may occur if the instrument
	   powers itself off during a transfer.


	   SETTING PORT AND BAUD RATE 

	   Getwfm looks for the setup file to determine which serial
	   port and baud rate to use.  Either or both can be automatically 
	   determined by setting the respective parameters to "auto".  If 
	   no setup has been performed, both parameters default to "auto".  
	   Automatic searches test each possible setting until a valid 
	   instrument response is achieved.  In cases where it would be 
	   disruptive to address ports not connected to the instrument, 
	   or when communicating over modems at a predetermined baud rate,
	   run the Setup utility to set either or both of these parameters 
	   to fixed values.

	   TSR programs such as FAX utilities that continuously monitor a
	   serial port may interfere with the automatic port search.  If such
	   a program is in use, set the comm port to a fixed value, or disable
	   the TSR program.

	   PORT ADDRESSES 

	   Putwfm assumes the following serial port addresses: 

		COM1:  3F8H
		COM2:  2F8H
		COM3:  3E8H 
		COM4:  2E8H

	   If the scope issues an error message during a putwfm transaction,
	   the message will be displayed on the PC screen as a response to
	   the command.
	    

	   EXAMPLES:	putwfm REF1 ch1.wfm 	Save a waveform named ch1.wfm
						into REF1 reference memory.

			putwfm ref1		Send a file named ref1 (or
						ref1.wfm) to the REF1
						reference memory.

