
222 UTILITY SOFTWARE - General Information		November, 1991

The 222 series utility software is a group of programs which extract,
convert and display waveforms from Tektronix 222 series instruments.
All programs in this family execute as simple DOS commands.  For example,
typing:
	getwfm CH1 ch1.wfm

will extract the waveform currently displayed on CH1 of the instrument and
save it in a file named "ch1.wfm".  The following programs are included
in this group:

  NAME		DESCRIPTION

getwfm.exe	Extracts waveform from 222 series scope;  puts into disk file.
putwfm.exe	Transmits waveform to 222 series scope; reads from disk file.
view.exe	Displays waveform(s) on console screen. Can screen dump to
		a variety of printers.
totbl.exe	Converts waveform to ASCII table.  Readable by spreadsheets,
		word processors, and applications such as MathCAD.
toadif.exe	Converts waveform to ADIF format.  Readable by Tek Wavewriter.
tohpgl.exe	Converts waveform(s) to HPGL plot file.  Provides graphics
		input to word processors, drawing packages, and plotters.
setup.exe	Configures display colors, plot pens, printers and plotters;
		sets comm parameters for getwfm and putwfm.
man.bat		Displays the named text file (filename.man) using the DOS
		"more" utility.

Other files included are:

  NAME		DESCRIPTION

ch1.wfm		A sample waveform.
ch2.wfm		A sample waveform.
getview.bat	A sample batch file that will transfer and display waveforms.
setkeys.bat	A sample batch file that sets user definable keys.
getwfm.man	Manual text file for Getwfm.
putwfm.man	Manual text file for Putwfm.
view.man	Manual text file for View.
totbl.man	Manual text file for Totbl.
toadif.man	Manual text file for Toadif.
tohpgl.man	Manual text file for Tohpgl.


DOCUMENTATION

You can look up information about a command by typing

        man commandname     (i.e.   man view)

while you are in the directory where the commands are kept.  Each command
has an associated manual file (filename extension .man) which contains 
simple ASCII text and may be viewed with a text editor and/or printed. 
This file (readme.man) can also be viewed with the man command.


INSTALLATION

To install these commands, simply copy the entire group into a directory
on your hard disk.  Then be sure the PATH environment variable contains a 
path to the commands.  Here is a recommended procedure assuming the commands
are on a floppy disk:

	Make a directory on your hard disk called 222util:

		md c:\222util (enter)

	Insert the floppy in drive A and copy its contents into \222util:

		copy a:\*.* c:\222util (enter)

	Using a text editor, edit the PATH statement in your AUTOEXEC.BAT
	file (in your root directory) by adding the following path to the 
	end of the list:

		C:\222UTIL

	Exit the text editor, and type AUTOEXEC to update the path.  You
	are now ready to run the programs.  


ENVIRONMENT VARIABLES

The Setup utility writes information to a setup file, which is read by
other utility programs when setup information is needed.  It is recommended
that an environment variable "UTILSET" be defined in your autoexec.bat
file that gives the utility programs a place to look for setup information.
For example, the line

	UTILSET=c:\222util\utilset.txt

would accompany the PATH example given above.  See setup.man for details.  
Without this environment variable, each program looks for setup information 
in the current directory by default.  If no setup information exists, each
program will assume default values and proceed.  Default behavior for a 
particular command is described in its .man file.


FILENAME EXTENSIONS AND WILDCARD MATCHING

All utilities in this family perform wildcard character matching of input
filenames for "*" and "?".  For example, 

	totbl *.wfm test.txt

will look for any files in the current directory with a .wfm extension, and 
use the first one found as the input file. View and tohpgl accept up to ten
input file names, any of which may contain wildcard characters.  See 
individual command documentation for more details.

All commands will accept single filename arguments.  In that case, an output
file by the same name with the appropriate default extension is created,
and deposited in the current directory.

A default extension will also be attached if an output filename is specified
without an extension.  Default extensions for these commands are: 

	COMMAND		DEFAULT EXTENSION

	getwfm		.wfm
	putwfm		no output
	tohpgl		.plt
	toadif		.adf
	totbl		.txt
	view		no output

Input filenames given without extensions will be searched as given.  If no
matching file is found, the filename is searched again with a .wfm extension.
For example the following command line

	tohpgl test

results in a search first for a file named "test" followed by a search for a
file named "test.wfm" to be used for input.  If either is found, then an 
output file named "test.plt" is created.

Tohpgl, toadif, and totbl can convert groups of files using wildcard filename
matching.  To enable group conversions, use the "-a" option, and give only one 
input file specification. Each input file found (up to a limit of ten) will 
cause a matching output file to be produced with the default extension for 
the program being run.  If you wish to deposit the output files in a directory
other than the current one, include an output file path (ending with "\").  
It is not necessary to supply names or extensions for output files, since 
each output file is renamed to match the corresponding input filename and 
assigned the default extension.  Output filenames and extensions, if given, 
will be ignored.  For example, 

	totbl -a \wfmlib\*.wfm

will find the first ten .wfm files in the \wfmlib directory and produce 
matching .txt files in the current directory.  Adding an output file path:

	totbl -a \wfmlib\*.wfm \textlib\

sends all of the resulting files to the \textlib directory.



LICENSE and DISCLAIMER

Tektronix, Inc. provides these programs only for the use of its customers
to facilitate successful use of the 222 series oscilloscope line and other
Tektronix products.  Users are authorized to copy, and/or distribute these 
programs without limitation so long as the resulting use is associated
with the application of Tektronix products.  Any other use is prohibited, 
and is a violation of these terms of use.

Tektronix, Inc assumes no liability of any kind for damage or losses associated
with the use of these programs.  It is the responsibility of the user to
determine the suitability for use in each application.


SUPPORT

Support for these programs is provided through a bulletin board accessed 
with the following phone number:

	(503) 627-5658

Current versions of the programs and documentation will be maintained there.

For answers to questions, call (503) 280-7919.  We will provide support
on a time-available basis.


BUGS

The following is a list of problems which may affect use of these utilities.


	   The RS232 port on 222 series instruments can be locked up
	   if simultaneous transmit and receive activity occurs.  This
	   is common during connect and disconnect processes with modems.
	   It is also possible for the port to become locked because
	   it has received an XOFF flow control command.  Getwfm and putwfm
	   transmit XON during initial contact to ensure against this
	   condition.

	   If a waveform is requested of a 222 series instrument in single
	   sequence trigger mode, and the instrument is waiting for a 
	   trigger (trigger status is not trig'd), the waveform returned
	   will be unpredictable.  In early software versions, the waveform 
	   returned will be extremely long (~ 64 KB) and due to the time
	   required to transfer may appear to lock up the port.
	   
	   Waveforms returned by an instrument in X10 Horizontal Mag mode
	   are unpredictable.

	   XY waveforms extracted from REF1-4 may contain invalid data after
	   the 511th sample.  The format conversion utilities in this package
	   detect these conditions and truncate their outputs accordingly.

	   If a CH1 or CH2 waveform is extracted from an instrument in 
	   equivalent time mode (2 uS/div and faster), the instrument will 
	   perform an INIT at the time the waveform transfer is complete.  
	   The waveform will then begin to fill until all sample points are 
	   defined again at which time the scope display changes from dot 
	   to vector mode.  If a CH1 or CH2 waveform is extracted during 
	   the time the display is not completely filled, it will appear 
	   ragged.  This is because unfilled data points are set to a value 
	   of zero (about one division beyond the bottom of the screen.  
	   This can be a problem when transferring several waveforms in quick 
	   succession, as is the case with batch programs.  REF1-4 waveforms
	   are not affected, and do not induce an INIT.

REVISION INFORMATION

	   Version 2.0 includes the following changes over the previous
	   version (1.0).

		A setup utility has been included to configure view, tohpgl,
		getwfm, and putwfm.  The environment variables used by
		view, getwfm and putwfm (VIEWCOLORS, PUTWFM and GETWFM)
		are no longer used.  Commands in batch files such as 
		autoexec.bat which were used to set these variables should
		be removed.  A single new environment variable UTILSET
		is now used to support all configuration procedures.

		A "man" command now makes it easy to read the on-line manual
		information by typing "man commandname".  

		Screen dump facilities to common printer types has been 
		added to the view utility, including color drivers.  Portrait
		and landscape mode are supported, as well as reverse video
		and selectable image size.  Both serial and parallel ports
		may be used.

		A plotter driver has been added to the tohpgl utility.

		Plotter pen assignment in tohpgl is now supported.

		A scale command is now issued as part of the tohpgl output
		to ensure accurate relative scaling of text and waveforms.

		The tohpgl output format is now organized into lines that are 
		less than 80 characters in length, making it easier to read
		with a text editor.

		View and tohpgl now support a user definable title line
		using the "-t" option which was formerly used to suppress
		the writing of traces.  Trace suppression is no longer
		supported.

		View and tohpgl have a different display format, placing both 
		x and y scale factor information below the display area in 
		pairs.  Scale factors for the first five waveforms displayed
		are shown in colors that match with the associated traces.

		Two graticule types are now supported.  The default is the
		same as in V1.0, resembling a scope screen.  The -g option
		now reduces this to a "sparse" graticule, retaining the 
		axes and their tic marks.  A new option "-x" deletes the axes
		and the graticule.

		Automatic port and baud rate detection have been added to 
		getwfm and putwfm and are the the default configuration.
		This simplifies the process of setting up to do waveform
		transfers.  Port and baud rate may still be defined using
		Setup.

		All utilities that pause or wait for user or output device
		interaction may be terminated by pressing ESC.  View no
		longer terminates by pressing any key.

