toadif - 222 series waveform to ADIF Converter - Tektronix, Inc.  1991

This utility will allow the user to convert 222 series saved waveform files 
(.wfm files) into a format that is compatible with ADIF Version 1.0.  Once 
in ADIF format, the waveform may then be imported into programs such as
Tektronix "Wavewriter" arbitrary waveform generation software.


COMMAND SYNTAX

To use toadif, enter the following command at the PC-Dos prompt:

	toadif [-a] infile.wfm [outfile.adf]

where "infile.wfm" is the name of the 222 series waveform file (note that 
222 waveform files normally use the extension .wfm). "outfile.adf" is the 
name of the output file; .adf is a common filename extension for ADIF files.

The output file contains ASCII characters, however the data block is too
long (it contains no carriage returns) for most text editors to handle.
This file can be examined using the DOS "more" utility:

	type filename.adf | more


OPTIONS

Tohpgl accepts options as the first argument following the command
name.  Options are signified with a "-" followed by the appropriate
option designators.  Options may be used in any combination or
order, but must all be grouped together with no seperating blanks.

	-a	Converts groups of files specified with wildcard characters.
		Each input file found will be converted to an output file
		by the same name with a .adf extension.  See readme.txt
		for a thorough discussion.

	

Information Given in ADIF Output File

The ADIF output is broken up into four important parts.  The first is the "adif"
token which headers the output.  The second is the "dimension" block for the 
vertical data.  The third is the "dimension" block for the horizontal data.
The final is the block of sampled data points.

The "adif" token which headers the output is followed by a label which is
either "CH1" (or "CH2") for YT waveforms, or XY for XY waveforms.  This is
how one can distinguish between the two types of data.

The first "dimension" block will be labelled "X" if this is an XY waveform,
otherwise it is labelled "T".  For XY waveforms, the block states that the 
data will be given explicitly in the "data" block, the number of data points, 
the scale and offset of each data point (always 1.0 and 0.0, respectively),
and the type of units represented by the data (volts).
For YT waveforms, the block states that the value of each point is implicit 
(numbering from 1 to the number of sample points), and the number of sample 
points.  It also defines the time between sample points (SCALE) and the 
time offset from the trigger at the first sample point (OFFSET).  Finally
it defines the units (seconds).

The second "dimension" block will be labelled "Y" (regardless of the acquisition
type).  The block states that the data will be given explicitly in the "data"
block, the number of data points, the scale and offset of each data point
(always 1.0 and 0.0, respectively), and the type of units (volts).

The "data" block will be labelled "YT" for YT data and "XY" for XY acquisitions.
The "curve" block within it will contain the string of values for each sampled
point.  The values are in order from the first sample point to the last.  They
are given as floating point numbers (6 digits beyond the decimal point) in
volts.  For XY waveforms the values will be in pairs, the first being the X
value, and the second being the Y value.  Note that no pairing will be evident
in the string of data points - they simply alternate.


INSTALLATION

See the readme.txt file found on the distribution disk for details on how to 
copy this program to your hard disk.
