
tohpgl  -  Convert a waveform file or files in 222 series file format to 
	   HPGL plotter graphics language.  Up to ten waveforms may be
	   assembled into one plot file.  Waveforms are plotted against an
	   8 X 10 division graticule.  X and Y scale factors for the first
	   five waveforms are included.   A command line option outputs
	   the resulting file(s) to a plotter.

	   COMMAND SYNTAX:

		tohpgl [-asgptx] infile.wfm [infile.wfm...] [outfile.plt]

	   Tohpgl will accept one or more input filenames up to a maximum
	   of six.  The last filename given is taken as the output file.
	   If only one filename is given, the output file will be of the 
	   given name with a ".plt" extension.  Wildcard characters "*" and 
	   "?" are recognized when used in input filenames.  Tohpgl will 
	   accept input and output filenames with any extension.  ".wfm" is 
	   a commonly used extension with 222 series waveforms. ".plt" and 
	   ".pgl" are commonly used with HPGL files.  When using wildcard 
	   matching for input filenames, be sure to explicitly specify an 
	   output file, otherwise the last filename in the expanded argument 
	   list will be targeted as the output file (with whatever extension 
	   it came with).

	   OPTIONS

	   Tohpgl accepts options as the first argument following the command
	   name.  Options are signified with a "-" followed by the appropriate
	   option designators.  Options may be used in any combination or
	   order, but must all be grouped together with no seperating blanks.

		-a  Converts groups of files specified with wildcard 
		    characters.  Each input file found will be converted 
		    to an output file by the same name with a .adf extension.  
		    See readme.txt for a thorough discussion.
		-s  Suppresses all text (scale factors and the title line.
		-g  Suppresses the graticule, leaving X and Y axes.
		-p  Enables the plotter driver and plots the resulting files.
		-t  Displays argument following the options in the title line.
		    If the argument contains blanks, it must be enclosed in " ".
		-x  Suppresses the graticule and the axes.



	   APPLICATIONS

	   Many popular word processors and graphics oriented programs have
	   facilities to import HPGL files.  Refer to the documentation
	   for each particular application for details.  Pay particular
	   attention to file naming conventions required by the importing
	   program and name your output files accordingly.

	   Tohpgl uses vector graphics to construct waveforms and the 
	   graticule.  It uses Label commands to display scale factors.
	   Most HPGL import facilities successfully convert vector lists,
	   however some (including Microsoft Word for Windows) do not accept 
	   label information.  In these cases the scale factor information
	   may not appear in the final plot, or worse yet, the commands
	   used to generate labels may generate unrecoverable application
	   errors.  Use the -s option in these cases to suppress text.


	   LABELLING PLOTS

	   To label a plot, use the "-t" option.  For example:

		tohpgl -t "This is a new title line!" infile outfile

	   replaces the default title line with the quoted text.  The
	   message will be centered horizontally.


	   PEN COLORS

	   Pen numbers may be specified for each of up to ten output
	   waveforms by running the Setup utility.


	   PLOTTING

	   The output from this command may be used to directly drive
	   HP plotters using the "-p" option.  To plot a file, first 
	   be sure the correct communication port parameters have been set
	   by running Setup.  Connect the plotter and execute Tohpgl with
	   the "-p" option:
 
		tohpgl -p infile outfile

	   The output file will be written as usual, and the file will then 
	   be automatically plotted.  

	   Both parallel and serial ports are supported, although serial
	   ports are most commonly found on plotters.  The Tohpgl plotter
	   driver supports both hardware and software (xon/xoff) flow
	   control.

	   Plotting may be terminated by pressing ESC.


	   INTERFACE

	   Using the Setup program, you can specify either a serial or parallel
	   interface to drive your plotter.  The serial interface implements
	   both hardware and software (XON/XOFF) flow control.


	   OUTPUT FORMAT

	   The output files generated by tohpgl are ASCII text and can be
	   manipulated by any common text editor.


	   INSTALLATION

	   See the readme.txt file found on the distribution disk for details 
	   on how to copy this program to your hard disk.
