totbl - 222 series waveform to ASCII Table Converter - Tektronix, Inc.  1991

This utility will allow the user to convert 222 series saved waveform files 
(.wfm files) into an ASCII Table format that can be read by programs such
as Excel, Lotus 123, MathCAD and many word processors.  Data in the table 
includes sample numbers, sample values, and corresponding time and voltage 
values.  Command options -l, -h and -e control the output format and
content.


COMMAND SYNTAX

To use totbl, enter the following command at the PC-Dos prompt:

	totbl [-alhe] infile.wfm [outfile.txt]

where "infile.wfm" is the name of the 222 series waveform file (note that 
222 waveform files normally use the extension .wfm). "outfile.txt" is the 
name of the output file; any acceptable DOS filename and extension may be 
used.  Many programs require a specific filename extension in order to 
correctly import files.  For example, to import into MathCAD, name the
output file  from totbl with a ".prn" extension and import it from MathCAD
with the READPRN(outfile) command.


OPTIONS

Tohpgl accepts options as the first argument following the command
name.  Options are signified with a "-" followed by the appropriate
option designators.  Options may be used in any combination or
order, but must all be grouped together with no seperating blanks.

	-a	Converts groups of files specified with wildcard characters.
		Each input file found will be converted to an output file
		by the same name with a .adf extension.  See readme.txt
		for a thorough discussion.
	-l	Lotus format.  Double quotes all text and seperates columns 
		with blanks instead of the default tab.
	-h	Suppresses header information that normally preceeds table
		values.
	-e	Outputs all numeric data in exponential format (ie
		6.121349e+01).



The output file contains ASCII text and may be examined and/or manipulated
with any text file editor.


RESTRICTIONS

Neither the Tektronix 222 oscilloscope nor the Cat200 software specify the 
vertical position or the ground position of the waveform when saved.  The 
conversion program assumes that the ground position is in the middle of the 
222 screen when generating voltage values for each sample point of the waveform.
Thus, the user must position the ground at the middle of the 222 screen before 
saving the waveform if he/she intends to use the voltage values.  


INFORMATION CONTAINED IN THE OUTPUT FILE

A header (suppressable with the -h option) preceeds the main data table.
It contains the following information:

     Saved channels present in the waveform (Ch1 or Ch2 for YT waveforms, 
          'XY' (both Ch1 & Ch2) for XY waveforms
     Volts per division setting for saved channels (only one will be saved 
          for YT waveforms, both for XY waveforms)
     Coupling for saved channels
     Channels invert status (for saved channels) (ON or OFF)
     Current Timebase setting
     Trigger Mode
     Trigger Source
     Trigger Slope
     Store Mode status (ON or OFF)
     Trigger Position (in store mode only)
     Acquisition Mode
     Byte Count (Number of sampled points)

The main table contains four columns of data including the sample number,
the sample value (0 - 255), the time value of the sample relative to the 
trigger, and the voltage value of the sample.  Data items in each row are 
seperated by tabs (default), and each line (row) is terminated with a 
carriage return.


INCORPORATING OUTPUT FILE INTO LOTUS

The to123 output files are incorporated into Lotus via the Lotus import 
facility.  Enter the File menu and choose the Import facility (via the command 
/FI).  Choose Numbers from the menu as the import format.  Lotus will then 
prompt you for the name of a file to import.  Enter the filename you choose 
and used as the output file for the to123 command.  Lotus will then import 
the 222series waveform file.  The top left corner of the spreadsheet will be 
at the same position as the cell pointer at the time the file was imported.  


INCORPORATING OUTPUT FILE INTO EXCEL

The toexcel output files are incorporated into Excel using File Open.  Unless 
you gave the file a .xls extension, it will not automatically appear as a 
possible selection even when you have specified the correct directory.  Enter
the file name including the extension.  Excel will import the file as text.

INSTALLATION

See the readme.txt file found on the distribution disk for details on how to 
copy this program to your hard disk.
