
view  -    Displays a waveform file or files in 222 series file format on
	   the console screen.  Up to ten waveforms may be assembled into 
	   one display.  Waveforms are plotted against an 8 X 10 division 
	   graticule. X and Y scale factors are shown for the first five 
	   waveforms.  Screen images can be dumped to most common printers.


	   COMMAND SYNTAX

		view [-gstx] [title] infile.wfm [infile.wfm...]

	   View accepts one or more arguments.  No arguments results
	   in an error.  Wildcard characters "*" and "?" are recognized.
	   View accepts filenames with any extension.  ".wfm" is commonly 
	   used with 222 series waveform files.  The first ten files in the 
	   input list will be plotted.  Additional files may be specified,
	   but they will be ignored.


	   EXIT

	   To Exit view, press ESC (escape).   Other keys (except for Ctrl-P)
	   will have no effect, making it possible to trigger screen capture 
	   programs such as HiJaak while displaying the waveforms.  Ctrl-P 
	   will initiate a screen dump to a printer.


	   OPTIONS

	   View accepts options as the first argument following the command
	   name.  Options are signified with a "-" followed by the appropriate
	   option designators.  Options may be used in any combination or
	   order, but must all be grouped together with no seperating blanks.

		-s  Suppresses all text (scale factors and the title line.
		-g  Suppresses the graticule, leaving X and Y axes.
		-p  Enables the plotter driver and plots the resulting files.
		-t  Displays argument following options in the title line.
		    If the argument contains blanks, it must be enclosed in " ".
		-x  Suppresses the graticule and the axes.



	   LABELLING  and ANNOTATION

	   View provides two means to annotate plots.  

		1) Direct keyboard entry while viewing the display
		2) The "-t" option to replace the title line

	   When the utility is finished drawing, a blinking cursor appears
	   in the upper left corner of the display.  To enter notes, position
	   the cursor to the place where you want to make your note using the
	   four arrow keys.  Then enter your note from the keyboard.  To 
	   continue on the next line, hit return and continue typing.  To 
	   start a new note, position the cursor to a new place.  Backspace
	   to erase.  Entering a character or backspacing overwrites everything
	   currently written at the character location.  To change the
	   resolution of the arrow keys to move in very fine increments, press
	   F2.  Press it again to go back to coarse.

	   
	   The "-t" command line option allows you to specify a new phrase 
	   for the title line when the View command is invoked.  This can be 
	   useful when running View from a batch file.  For example:

		view -t "This is a new title line!" infile

	   replaces the default title line with the quoted text.  The message
	   will be centered horizontally.


	   SCREEN PRINT

	   To initiate a screen print, press F1.  To abort a print job
	   in process, press ESC.

	   Before screen prints can be done, you must run the Setup utility 
	   to configure view for your printer.  

	   When view is started, it looks first for the pathname specified by 
	   the UTILSET variable, then in the current directory for the 
	   utilset.txt file.  If it cannot find the file, it does not enable 
	   printing. 

	   The following printer types are currently supported:

		Epson MX series - 9 pin dot matrix
		Epson FX / IBM Proprinter - 9 pin dot matrix
		Epson LQ series - 24 pin dot matrix
                IBM Proprinter 24  - 24 pin dot matrix
		NEC Pinwriter 9300 - 24 pin color
                Star Micronics Rainbow series - 9 pin color
                Star Micronics Rainbow series - 24 pin color
		HP Laser Jet - PCL Laser printers
		HP Think Jet - Ink Jet
		HP Quiet Jet - Ink Jet
		HP Paint Jet - Ink Jet (Including color)
                HP Desk Jet - Ink Jet (Including color)

	   Most printers emulate at least one of these modes.  Determine 
	   which one your printer is compatible with and specify it to the 
	   setup program.  You will also need to tell setup which parallel
	   or serial port to use with your printer.  If you are not sure
	   which mode to use with your printer, try several.  Most dot
	   matrix printers (9 and 24 pin) support the basic Epson MX 
	   commands, which will give relatively large (close to full
	   page) plots.  9 pin Epson FX 24 pin drivers add the capability 
	   to print smaller sizes with their higher resolution modes.

	   Screen prints are avaliable in both portrait and landscape
	   orientation, and in normal (black trace, white background) or
	   reverse video (white trace, black background).  Several sizes
	   are usually available depending on the resolution limitations of
	   your printer, and the orientation you have chosen.  For the largest
	   plots, use landscape orientation.  Note - Reverse video images 
	   in reduced sizes may not appear to print properly (appear solid
	   black) on dot matrix printers due to the large size of the 
	   printed dots and their tendency to obliterate nearby white areas.

	   Color is available for some ink jet and dot matrix printers that 
	   support it.  Color correspondence between ink jet printers and 
	   EGA/VGA displays is shown below.  Dot matrix printer color
	   correspondence is similar but may vary from model to model and
	   with ribbon color.  

		Video display		Printed color

		Black (background)	White (no print)
		Blue			Blue
		Green			Green
		Cyan			Cyan
		Red			Red
		Magenta			Magenta
		Brown			Yellow
		Lightgray		Black
		Darkgray		Black
		Lightblue		Blue
		Lightgreen		Green
		Lightcyan		Cyan
		Lightred		Red
		Lightmagenta		Magenta
		Yellow			Yellow
		White			Black


	   INTERFACE

	   Using the Setup program, you can specify either a serial or parallel
	   interface to drive your printer.  The serial interface implements
	   both hardware and software (XON/XOFF) flow control.


	   GRAPHICS ADAPTER

	   View requires a graphics adapter of one of the following types:

		CGA
		EGA
		VGA
		Hercules
		ATT
		IBM8514
		PC3270

	   Other types are currently not supported, however almost every
	   PC is capable of operating in at least one of these modes.


	   SETTING DISPLAY COLORS

	   Display colors can be defined for the title line, graticule
	   and each of the traces by running the Setup utility.  If no
	   values have been set, the title line defaults to Lightcyan,
	   the graticule to Darkgray and the traces to white (on EGA/VGA).

	   Some color numbers and corresponding colors for EGA/VGA
	   graphics adapters are listed as follows.  Most other graphics 
	   adapters have very limited color pallettes (ie white and black)
	   when operated in their maximum resolution modes.  View always
	   sets the adapter to the highest resolution available.

	   COLOR NUMBER		    EGA/VGA COLOR

		0			Black
		1			Blue
		2			Green
		3			Cyan
		4			Red
		5			Magenta
		6			Brown
		7			Lightgray
		8			Darkgray
		9			Lightblue
		10			Lightgreen
		11			Lightcyan
		12			Lightred
		13			Lightmagenta
		14			Yellow
		15			White



	   WINDOWS

	   View can be run from within Microsoft Windows by making it
	   part of a batch program.  See the Microsoft Windows reference
	   manual regarding running batch non-Windows applications for 
	   details on how to set this up.  View must be started in full
	   screen mode because it uses high resolution graphics.  Once
	   a display is achieved, a snapshot can be taken to the clipboard
	   by pressing PrtSc (printscreen) or Alt+PrtSc.  It is also
	   possible to move the display to a window and back by pressing 
	   Alt+Enter.  When finished, return to full screen mode and 
	   press ESC to terminate view.


	   INSTALLATION

	   See the readme.txt file found on the distribution disk for details 
	   on how to copy this program to your hard disk.  If you want to 
	   enable screen prints, run Setup.
